### Function

# Vips ArrayDouble newv

#### Declaration [src]

    VipsArrayDouble*
    vips_array_double_newv (
      int n,
      ...
    )

#### Description [src]

Allocate a new array of `n` doubles and copy @… into it. Free with `vips_area_unref()`.

See also

`vips_array_double_new()`.

This function is not directly available to language bindings.

#### Parameters

`n`

  Type: `int`

  Number of doubles.

`...`

  Type: ``

  List of double arguments.

#### Return value

Type: `VipsArrayDouble`

A new `VipsArrayDouble`.

The caller of the function takes ownership of the data, and is responsible for freeing it.